## Highlighter

[![Support](https://img.shields.io/badge/Support-white)](https://www.patreon.com/qrsln)
[![downloads](https://img.shields.io/npm/dm/@qrsln/highlighter.svg)](https://npmcharts.com/compare/@qrsln/highlighter?minimal=true)
[![npm version](https://badge.fury.io/js/%40qrsln%2Fhighlighter.svg)](https://badge.fury.io/js/%40qrsln%2Fhighlighter)

Supported Languages: typescript, html, css/scss/less, csharp, javascript, json, php, python, markdown

> For Angular

[![Demo](https://img.shields.io/badge/Demo-blue)](https://krsln.github.io/Showcase/Libraries/Highlighter)
[![](https://img.shields.io/badge/ReadMe-white)](https://github.com/krsln/Showcase/blob/master/Docs/Libraries/Highlighter/readme.md)

#### Dependencies

```shell
 npm install highlight.js 
```

#### Properties

| Params        | desc                                                            |
|---------------|-----------------------------------------------------------------|
| [theme]       | _highlight.js theme_ [default: 'stackoverflow-dark']            |
| [code]        | code here or innerHTML [if code not set it will look innerHTML] |
| [lineNumbers] | Line Numbers [default: false]                                   |
| [lang]        | code language here [necessary] Default value: `html`            |
| [options]     | _highlight.js options_                                          |

#### app.module.ts

```typescript
import {HighlighterModule} from '@qrsln/highlighter';

@NgModule({
  imports: [HighlighterModule, /*...*/],
})
```

#### Usage

```html
<!--using div [code]="CODES.Typescript" or [innerHtml]="CODES.Typescript"-->
<div qlHighlighter [theme]="selectedTheme" [lang]="'typescript'" [lineNumbers]="lineNumbers"
     [innerHtml]="CODES.Typescript"></div>
<!--using textarea [code]="CODES.Typescript" or [innerHtml]="CODES.Typescript"-->
<textarea qlHighlighter [theme]="selectedTheme" [lang]="'csharp'" [lineNumbers]="lineNumbers"
          [code]="CODES.Typescript"></textarea>
<!--using textarea innerHTML-->
<textarea qlHighlighter [theme]="selectedTheme" [lang]="'typescript'" [lineNumbers]="lineNumbers">
class MyClass {
  public static myValue: string;
  constructor(init: string) {
    this.myValue = init;
  }
}
import fs = require("fs");
module MyModule {
  export interface MyInterface extends Other {
    myProperty: any;
  }
}
declare magicNumber number;
myArray.forEach(() => { }); // fat arrow syntax
</textarea>
```

```typescript
selectedTheme = 'stackoverflow-dark';
lineNumbers = false;

CODES = {
  Typescript: `
class MyClass {
  public static myValue: string;
  constructor(init: string) {
    this.myValue = init;
  }
}
import fs = require("fs");
module MyModule {
  export interface MyInterface extends Other {
    myProperty: any;
  }
}
declare magicNumber number;
myArray.forEach(() => { }); // fat arrow syntax
`,
};
```   

### Screenshots
![](https://github.com/krsln/Showcase/raw/master/Docs/Images/Highlighter/Highlighter_Stackoverflow_Dark_2022-01-30.png "Stackoverflow Dark")  
![](https://github.com/krsln/Showcase/raw/master/Docs/Images/Highlighter/Highlighter_Stackoverflow_Light_2022-01-30.png "Stackoverflow Light")  
